"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AsyncImportProcessor = void 0;
const processor_1 = require("./processor");
/**
 * Processor for `import('module').then()`
 */
class AsyncImportProcessor extends processor_1.Processor {
    parse(node) {
        if (this.ts.isCallExpression(node) &&
            node.expression.kind === this.ts.SyntaxKind.ImportKeyword &&
            this.ts.isStringLiteral(node.arguments[0]) &&
            node.arguments.length === 1) {
            return {
                node,
                moduleName: node.arguments[0].text,
            };
        }
        return null;
    }
    updateModuleName(moduleName, { node }) {
        return this.factory.updateCallExpression(node, node.expression, node.typeArguments, [this.factory.createStringLiteral(moduleName)]);
    }
}
exports.AsyncImportProcessor = AsyncImportProcessor;
//# sourceMappingURL=async-import-processor.js.map