import typescript, { ImportSpecifier } from 'typescript';
import { BaseParseResult, Processor } from './processor';
interface ParseResult extends BaseParseResult {
    node: typescript.ImportDeclaration;
    keepImport: boolean;
    typeOnly?: boolean;
    nonTypeNamedBindings?: ImportSpecifier[];
}
/**
 * Processor for `import module from 'module'`
 */
export declare class ImportProcessor extends Processor {
    parse(node: typescript.Node): ParseResult;
    updateModuleName(moduleName: string, { node, keepImport, typeOnly, nonTypeNamedBindings }: ParseResult): typescript.Node;
}
export {};
